import { Component, OnInit } from '@angular/core';
import Book from './book';
import { BookService } from './book.service';

@Component({
  selector: 'app-root',
  templateUrl: './book.component.html',
  styleUrls: ['./book.component.css'],
  providers: [ BookService ]
})
export class BookComponent implements OnInit {
  books: Book[] = [];
  bookToEdit: Book;
  message: string = '';
  
  constructor(private service: BookService) {}

  ngOnInit() {
    this.getBooks();
  }                 
  
  getBooks() {
    this.service.get()
      .subscribe(books => this.books = books);
  }
  
  editBook(book: Book) {
    this.bookToEdit = book;
  }
  
  updatePrice(data: Book) {
    const book = this.books.filter(book => book.id === data.id)[0];
    
    book.price = data.price;
  }
}
